<?php
namespace Bushelpowered\Api\Fulfillment\Contract\V1\Common;
        
class Filters 
{
    /** @var string[]|null $commodityCodes */
    public ?array $commodityCodes = null;
    /** @var null|string $deliveryStartDate of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public ?string $deliveryStartDate = null;
    /** @var null|string $deliveryEndDate of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public ?string $deliveryEndDate = null;
    /** @var string[]|null $status */
    public ?array $status = null;
    /** @var string[]|null $contractedLocationIds */
    public ?array $contractedLocationIds = null;
    /** @var string[]|null $deliveryLocationIds */
    public ?array $deliveryLocationIds = null;

    /**
     * @param  string[]|null  $commodityCodes 
     * @param  null|string  $deliveryStartDate of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     * @param  null|string  $deliveryEndDate of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     * @param  string[]|null  $status 
     * @param  string[]|null  $contractedLocationIds 
     * @param  string[]|null  $deliveryLocationIds 
     */
    public function __construct(?array $commodityCodes, ?string $deliveryStartDate, ?string $deliveryEndDate, ?array $status, ?array $contractedLocationIds, ?array $deliveryLocationIds)
    {
        $this->commodityCodes = $commodityCodes;
        $this->deliveryStartDate = $deliveryStartDate;
        $this->deliveryEndDate = $deliveryEndDate;
        $this->status = $status;
        $this->contractedLocationIds = $contractedLocationIds;
        $this->deliveryLocationIds = $deliveryLocationIds;
    }
    

}