<?php
namespace Bushelpowered\Api\Fulfillment\Contract\V1\Response;
        
class ContractDetailResponse implements \Bushelpowered\Api\Common\HasCreatedAtTimestamp, \Bushelpowered\Api\Common\HasUpdatedAtTimestamp
{
    public string $id;
    public string $remoteId;
    public ?string $displayId = null;
    public \Bushelpowered\Api\Fulfillment\Common\V1\Response\AccountResponse $account;
    public \Bushelpowered\Api\Fulfillment\Common\V1\Response\CompanyResponse $company;
    public \Bushelpowered\Api\Fulfillment\Common\V1\Response\CommodityResponse $commodity;
    public \Bushelpowered\Api\Fulfillment\Common\V1\Response\LocationResponse $contractedLocation;
    public ?float $quantityContracted = null;
    public ?float $quantityRemaining = null;
    public ?float $quantityCanceled = null;
    public ?float $quantityPriced = null;
    public ?float $quantityUnpriced = null;
    public ?string $quantityUom = null;
    public string $contractType;
    public string $status;
    public ?string $signatureStatus = null;
    public ?float $pricing = null;
    public ?string $cropYear = null;
    /** @var \Bushelpowered\Api\Fulfillment\Contract\V1\Response\PricingLineResponse[] $pricingLines */
    public array $pricingLines;
    /** @var null|string $remoteCreatedAt of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public ?string $remoteCreatedAt = null;
    /** @var null|string $remoteUpdatedAt of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public ?string $remoteUpdatedAt = null;
    /** @var string $createdAt of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public string $createdAt;
    /** @var string $updatedAt of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public string $updatedAt;

    /**
     * @param  \Bushelpowered\Api\Fulfillment\Contract\V1\Response\PricingLineResponse[]  $pricingLines 
     * @param  null|string  $remoteCreatedAt of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     * @param  null|string  $remoteUpdatedAt of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     * @param  string  $createdAt of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     * @param  string  $updatedAt of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     */
    public function __construct(string $id, string $remoteId, ?string $displayId, \Bushelpowered\Api\Fulfillment\Common\V1\Response\AccountResponse $account, \Bushelpowered\Api\Fulfillment\Common\V1\Response\CompanyResponse $company, \Bushelpowered\Api\Fulfillment\Common\V1\Response\CommodityResponse $commodity, \Bushelpowered\Api\Fulfillment\Common\V1\Response\LocationResponse $contractedLocation, ?float $quantityContracted, ?float $quantityRemaining, ?float $quantityCanceled, ?float $quantityPriced, ?float $quantityUnpriced, ?string $quantityUom, string $contractType, string $status, ?string $signatureStatus, ?float $pricing, ?string $cropYear, array $pricingLines, ?string $remoteCreatedAt, ?string $remoteUpdatedAt, string $createdAt, string $updatedAt)
    {
        $this->id = $id;
        $this->remoteId = $remoteId;
        $this->displayId = $displayId;
        $this->account = $account;
        $this->company = $company;
        $this->commodity = $commodity;
        $this->contractedLocation = $contractedLocation;
        $this->quantityContracted = $quantityContracted;
        $this->quantityRemaining = $quantityRemaining;
        $this->quantityCanceled = $quantityCanceled;
        $this->quantityPriced = $quantityPriced;
        $this->quantityUnpriced = $quantityUnpriced;
        $this->quantityUom = $quantityUom;
        $this->contractType = $contractType;
        $this->status = $status;
        $this->signatureStatus = $signatureStatus;
        $this->pricing = $pricing;
        $this->cropYear = $cropYear;
        $this->pricingLines = $pricingLines;
        $this->remoteCreatedAt = $remoteCreatedAt;
        $this->remoteUpdatedAt = $remoteUpdatedAt;
        $this->createdAt = $createdAt;
        $this->updatedAt = $updatedAt;
    }
    
    /**
     * @return string of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     */
    public function getCreatedAt(): string
    {
        return $this->createdAt;
    }
    /**
     * @return string of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     */
    public function getUpdatedAt(): string
    {
        return $this->updatedAt;
    }
}