<?php
namespace Bushelpowered\Api\Grain\Contracts\V1\Model;
        
class ContractRaw implements \Bushelpowered\Api\Common\Event\RawRecord, \Bushelpowered\Api\Common\HasSourceTimestamps
{
    public string $tenantId;
    public string $datasourceId;
    public string $integrationId;
    public string $sourceId;
    public string $sourceAccountId;
    public string $accountIntegrationId;
    public ?string $sourceLocationId = null;
    public ?string $locationIntegrationId = null;
    public ?string $sourceCommodityId = null;
    public ?string $commodityIntegrationId = null;
    public ?string $sourceCropYear = null;
    public ?string $sourceDisplayId = null;
    public ?bool $sourceIsClosed = null;
    public ?float $sourceQuantityCanceled = null;
    public ?float $sourceQuantityContracted = null;
    public ?float $sourceQuantityDelivered = null;
    public ?string $sourceQuantityUom = null;
    public ?string $sourceType = null;
    public ?string $sourceSubtype = null;
    /** @var null|string $sourceDeferPayDate of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public ?string $sourceDeferPayDate = null;
    public ?string $sourceSignatureStatus = null;
    public ?string $sourceComments = null;
    /** @var string $sourceUpdatedAt of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public string $sourceUpdatedAt;
    /** @var string $sourceCreatedAt of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public string $sourceCreatedAt;
    /** @var null|string $sourceDeletedAt of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public ?string $sourceDeletedAt = null;

    /**
     * @param  null|string  $sourceDeferPayDate of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     * @param  string  $sourceUpdatedAt of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     * @param  string  $sourceCreatedAt of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     * @param  null|string  $sourceDeletedAt of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     */
    public function __construct(string $tenantId, string $datasourceId, string $integrationId, string $sourceId, string $sourceAccountId, string $accountIntegrationId, ?string $sourceLocationId, ?string $locationIntegrationId, ?string $sourceCommodityId, ?string $commodityIntegrationId, ?string $sourceCropYear, ?string $sourceDisplayId, ?bool $sourceIsClosed, ?float $sourceQuantityCanceled, ?float $sourceQuantityContracted, ?float $sourceQuantityDelivered, ?string $sourceQuantityUom, ?string $sourceType, ?string $sourceSubtype, ?string $sourceDeferPayDate, ?string $sourceSignatureStatus, ?string $sourceComments, string $sourceUpdatedAt, string $sourceCreatedAt, ?string $sourceDeletedAt)
    {
        $this->tenantId = $tenantId;
        $this->datasourceId = $datasourceId;
        $this->integrationId = $integrationId;
        $this->sourceId = $sourceId;
        $this->sourceAccountId = $sourceAccountId;
        $this->accountIntegrationId = $accountIntegrationId;
        $this->sourceLocationId = $sourceLocationId;
        $this->locationIntegrationId = $locationIntegrationId;
        $this->sourceCommodityId = $sourceCommodityId;
        $this->commodityIntegrationId = $commodityIntegrationId;
        $this->sourceCropYear = $sourceCropYear;
        $this->sourceDisplayId = $sourceDisplayId;
        $this->sourceIsClosed = $sourceIsClosed;
        $this->sourceQuantityCanceled = $sourceQuantityCanceled;
        $this->sourceQuantityContracted = $sourceQuantityContracted;
        $this->sourceQuantityDelivered = $sourceQuantityDelivered;
        $this->sourceQuantityUom = $sourceQuantityUom;
        $this->sourceType = $sourceType;
        $this->sourceSubtype = $sourceSubtype;
        $this->sourceDeferPayDate = $sourceDeferPayDate;
        $this->sourceSignatureStatus = $sourceSignatureStatus;
        $this->sourceComments = $sourceComments;
        $this->sourceUpdatedAt = $sourceUpdatedAt;
        $this->sourceCreatedAt = $sourceCreatedAt;
        $this->sourceDeletedAt = $sourceDeletedAt;
    }
    
    public function getTenantId(): string
    {
        return $this->tenantId;
    }
    public function getDatasourceId(): string
    {
        return $this->datasourceId;
    }
    public function getIntegrationId(): string
    {
        return $this->integrationId;
    }
    public function getSourceId(): string
    {
        return $this->sourceId;
    }
    public function getSourceAccountId(): string
    {
        return $this->sourceAccountId;
    }
    public function getSourceLocationId(): ?string
    {
        return $this->sourceLocationId;
    }
    /**
     * @return string of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     */
    public function getSourceUpdatedAt(): string
    {
        return $this->sourceUpdatedAt;
    }
    /**
     * @return string of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     */
    public function getSourceCreatedAt(): string
    {
        return $this->sourceCreatedAt;
    }
    /**
     * @return null|string of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     */
    public function getSourceDeletedAt(): ?string
    {
        return $this->sourceDeletedAt;
    }
}