<?php
namespace Bushelpowered\Api\Platform\Authorization\V1\Model;
        
class IdentifierAccount implements \Bushelpowered\Api\Common\HasTimestamps
{
    public string $tenantId;
    public string $datasourceId;
    public string $integrationId;
    public string $idpSlug;
    public string $userIdpId;
    public string $identifierIntegrationId;
    public ?string $identifierName = null;
    public string $accountId;
    public string $accountIntegrationId;
    public string $sourceAccountId;
    /** @var string $createdAt of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public string $createdAt;
    /** @var string $updatedAt of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public string $updatedAt;
    /** @var null|string $deletedAt of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public ?string $deletedAt = null;

    /**
     * @param  string  $createdAt of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     * @param  string  $updatedAt of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     * @param  null|string  $deletedAt of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     */
    public function __construct(string $tenantId, string $datasourceId, string $integrationId, string $idpSlug, string $userIdpId, string $identifierIntegrationId, ?string $identifierName, string $accountId, string $accountIntegrationId, string $sourceAccountId, string $createdAt, string $updatedAt, ?string $deletedAt)
    {
        $this->tenantId = $tenantId;
        $this->datasourceId = $datasourceId;
        $this->integrationId = $integrationId;
        $this->idpSlug = $idpSlug;
        $this->userIdpId = $userIdpId;
        $this->identifierIntegrationId = $identifierIntegrationId;
        $this->identifierName = $identifierName;
        $this->accountId = $accountId;
        $this->accountIntegrationId = $accountIntegrationId;
        $this->sourceAccountId = $sourceAccountId;
        $this->createdAt = $createdAt;
        $this->updatedAt = $updatedAt;
        $this->deletedAt = $deletedAt;
    }
    
    /**
     * @return string of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     */
    public function getCreatedAt(): string
    {
        return $this->createdAt;
    }
    /**
     * @return string of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     */
    public function getUpdatedAt(): string
    {
        return $this->updatedAt;
    }
    /**
     * @return null|string of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     */
    public function getDeletedAt(): ?string
    {
        return $this->deletedAt;
    }
}