<?php
namespace Bushelpowered\Api\Platform\Connection\V1;
        
class CreateOrUpdateConnectionsMetadata
{
    public function __construct(
        public ?string $requiredAuthorizationBearer,
				public ?string $requiredXConsumerJwt,
        public ?array $extraOptionalMetadata = null,
    ) {}
    
    public function getMetadata() {
        $array = [];
        
        
        if ($this->requiredAuthorizationBearer) {
            $array['Authorization-Bearer'] = $this->requiredAuthorizationBearer;
        }
    
        if ($this->requiredXConsumerJwt) {
            $array['XConsumerJwt'] = $this->requiredXConsumerJwt;
        }
    
        
        return $this->extraOptionalMetadata ? array_merge($array, $this->extraOptionalMetadata) : $array;
    }
}